Audacity: Vapaa äänieditori ja äänitysohjelma

Tiedotuslistan käytäntö

Lähdekoodi

Järjestelmävaatimukset

Kuinka Audacity käännetään

Riippuvuudet

The wxWidgets library is required. Audacity 2.0.6 requires wxGTK 2.8.12. The libsndfile library is also required and is included in Audacity obtained from SVN. Installation of other libraries is optional.

CMake is required to build libsoxr which is now the Audacity default resampling library.

Jos asennat kirjastoja käyttäen jotakin paketointimenetelmää (esim. Apt tai RPM), muista asentaa myös jokaisen kirjaston "dev"- (development) -paketit.

Kääntäminen

Kääntääksesi Audacityn, suorita seuraava komento Audacityn lähdekoodihakemistossa:

./configure && make

Nähdäksesi käännösoptiot kirjoita ./configure --help. Kun Audacity on käännetty, suorita pääkäyttäjänä komento make install asentaaksesi sen.

Those new to compiling are recommended to look at Compiling Audacity for Beginners. Information for Developers is at Developer Guide.